<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\Grid\Definition\Factory;

use PrestaShop\PrestaShop\Core\Grid\Definition\Factory\FilterableGridDefinitionFactoryInterface as BaseInterface;
use PrestaShop\PrestaShop\Core\Grid\Definition\Factory\GridDefinitionFactoryInterface;

if (interface_exists(BaseInterface::class)) {
    interface FilterableGridDefinitionFactoryInterface extends BaseInterface
    {
    }
} else {
    interface FilterableGridDefinitionFactoryInterface extends GridDefinitionFactoryInterface
    {
        public function getFilterId(): string;
    }
}
